<%@ LANGUAGE="VBSCRIPT" %>

<%
    Const SQLSERVER = "LOCALHOST"
    Const DATABASE = "master"

    Const adOpenStatic = 3
    Const adLockBatchOptimistic = 4
    Const adLockOptimistic = 3
    Const adCmdTable = 2
    Const adCmdText = 1
    Const adFilterNone = 0
    Const adStateClosed = 0
    Const fsForAppending = 8

    Function ChkError(strMsg)
        const ASPPW_E_FUPLOAD_ONSTARTPAGENOTCALLED = &H80400030 
        const ASPPW_E_FUPLOAD_UPLOADEDFILETOOLARGE = &H80400031
        const ASPPW_E_FUPLOAD_EXCEEDSDISKQUOTA     = &H80400032 
        const ASPPW_E_FUPLOAD_DATANOTPARSED        = &H80400033
        const ASPPW_E_FUPLOAD_FILEEXTNOTALLOWED    = &H80400034             
        
        Dim strDes
        If Err <> 0 Then
            Select case Err.number             
                case ASPPW_E_FUPLOAD_ONSTARTPAGENOTCALLED    
                    strDes = "OnStartPage was not called."
                case ASPPW_E_FUPLOAD_UPLOADEDFILETOOLARGE
                    strDes = "The file being uploaded is too large."                
                case ASPPW_E_FUPLOAD_EXCEEDSDISKQUOTA
                    strDes = "There is no disk space left for the target folder on the server."
                case ASPPW_E_FUPLOAD_DATANOTPARSED              
                    strDes = "Uploaded data hasn't been parsed. Have you called the Upload method yet?"
                case ASPPW_E_FUPLOAD_FILEEXTNOTALLOWED
                    strDes = "The file extension is not allowed."
                case else
                    strDes = Err.Description
            End select

            If Len(strMsg) > 0 Then Response.write strMsg & "<br/>" 
            Response.Write "Error: " & Hex(Err.number) & ", " & strDes
            Response.End 
        End if
    End function

    Function SaveToDB (byteArray, strFirstName, strLastName) 
        Dim objConn
        Dim objRS

        Set objConn = GetConn()
        Set objRS = Server.CreateObject("ADODB.Recordset")
        objRS.open "Employees", objConn, adOpenStatic, adLockOptimistic, adCmdTable
        ChkError "Can not open the ""Employees"" table."

        'Add a new record, load photo into image field.
        objRS.AddNew
        objRS("FIRSTNAME") = strFirstName 
        objRS("LASTNAME") = strLastName 
        objRS("PHOTO").AppendChunk(byteArray)
        objRS.Update
        
        objConn.Close()

        Set objRS = Nothing
        Set objConn = Nothing                 
    End Function

    Function GetConn()
        Set objConn = Server.CreateObject("ADODB.Connection")
        objConn.CommandTimeout = 600 
        Call objConn.Open("Provider=SQLOLEDB;Trusted_Connection=yes;Database=" & DATABASE & ";Data Source=" & SQLSERVER)
        ChkError "Failed to create db connection."
        Set GetConn = objConn    
    End function

%>
